Page MenuHomePhabricator

[SphinxSearch] neutron/sphinxsearch-api uses deprecated class contructor
Closed, ResolvedPublic

Description

With deprecation warning enabled:

PHP Deprecated:  Methods with the same name as their class will not be constructors in a future version of PHP; SphinxClient has a deprecated constructor in /workspace/src/vendor/neutron/sphinxsearch-api/sphinxapi.php on line 386

That seems to be https://github.com/romainneutron/Sphinx-Search-API-PHP-Client/issues/6

composer install got:

  • Installing neutron/sphinxsearch-api (2.0.8)

https://packagist.org/packages/neutron/sphinxsearch-api .

The last release happened on 2013-08-07 and the repository seems kind of abandoned.

Event Timeline

hashar created this task.Jun 1 2018, 4:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 4:52 PM
hashar updated the task description. (Show Details)Jun 1 2018, 4:57 PM
Vvjjkkii renamed this task from [SphinxSearch] neutron/sphinxsearch-api uses deprecated class contructor to 1tbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 1tbaaaaaaa to [SphinxSearch] neutron/sphinxsearch-api uses deprecated class contructor.Jul 2 2018, 1:40 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
hashar added a comment.Jul 9 2018, 2:15 PM

I have mailed the upstream author.

hashar closed this task as Resolved.Jul 9 2018, 9:32 PM
hashar claimed this task.

https://github.com/romainneutron/Sphinx-Search-API-PHP-Client/releases/tag/2.0.8.1 version 2.0.8.1 got tagged and address the php class constructor issue. It is already on packagist.org.